cancel
Showing results for 
Search instead for 
Did you mean: 

Problem during installation via composer "Installation request ... -> satisfiable by ..."

SOLVED
Highlighted

Problem during installation via composer "Installation request ... -> satisfiable by ..."

I'm installing Magento Community Edition 2.3.4 via composer and during the installation Magento tells me there is a problem:

 

Problem 1
    - Installation request for magento/product-community-edition 2.3.4 -> satisfiable by magento/product-community-edition[2.3.4].

Though the installation itself seemed to be completed. Is it a serious problem? How do I fix it?

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Problem during installation via composer "Installation request ... -> satisfiable by ...

I actually didn't post the whole problem. That is the whole problem that I had:

 

Problem 1
    - Installation request for magento/product-community-edition 2.3.4 -> satisfiable by magento/product-community-edition[2.3.4].
    - magento/product-community-edition 2.3.4 requires ext-soap * -> the requested PHP extension soap is missing from your system.

After I installed an extension ext-soap I was able to install Magento.

 

Thank you for your help!

View solution in original post

2 REPLIES 2
Highlighted

Re: Problem during installation via composer "Installation request ... -> satisfiable by ...

@sergey_sherstob  Were you able to install Magento or not? If it got installed then you are good and ignore it. If not installed yet then try

 

composer install

composer update

 

If it still does not work then providing your composer.json from the root as well as the out put on the CLI will help in addressing your issue.

- Tarandeep
Problem solved?Please give 'Kudos' and accept 'Answer as Solution'.
Highlighted

Re: Problem during installation via composer "Installation request ... -> satisfiable by ...

I actually didn't post the whole problem. That is the whole problem that I had:

 

Problem 1
    - Installation request for magento/product-community-edition 2.3.4 -> satisfiable by magento/product-community-edition[2.3.4].
    - magento/product-community-edition 2.3.4 requires ext-soap * -> the requested PHP extension soap is missing from your system.

After I installed an extension ext-soap I was able to install Magento.

 

Thank you for your help!

View solution in original post